> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all accounts

> Get a list of all accounts. For more information on `paramsIO` refer to the [Get started article](../../developer-docs/apis/automation-api-rest/get-started/get-started). For practical use cases of `paramsIO`, see the [Using paramsIO tutorial](../../developer-docs/apis/automation-api-rest/tutorials/paramsio-use-cases).



## OpenAPI

````yaml /automation.api.json get /accounts
openapi: 3.0.3
info:
  title: OpenAPI definition for automation api
  version: 1.0.0
servers:
  - url: https://api.kameleoon.com
security: []
tags:
  - description: >-
      This is an object representing a Kameleoon account.You can retrieve it to
      view its properties, such as its current e-mail address or locale.With
      proper authorization, your application can read and update an account and
      profile settings.<aside class="notice"> Not all settings are exposed via
      the API. See the API reference for details. </aside>
    name: Account
  - description: >-
      Feature flag is used to  help our clients implement new features, test and
      deploy them viaour SDK. This service allows you to create and configure
      the feature flag which will be used in the source code of your feature.
    name: FeatureFlag
  - description: >
      You can use your account to set up multiple websites.This is helpful if
      you want to test your website and its mobile version or if you want to try
      Kameleoon on your site in a pre-production environment,It allows you to
      create different testing environments.
    name: Site
  - description: >-
      Custom data is an advanced tool that lets you target your customers in a
      unique way using data that is already available,such as user account
      information.
    name: CustomData
  - description: >-
      Experiment is an A/B test which can be targeted to a specific audience or
      any other audience. Kameleoon has several types of experiments: `Classic`,
      `Multivariate test (MVT)`, `Server-side` and the one that suits the best
      can be used to achieve the best results.
    name: Experiment
  - description: >-
      To measure the efficiency of an experiment or a personalization, it must
      be linked to one or several goals. All goals can be managed through
      Kameleoon interface or Automation API. There are variety of different
      goals you can choose from to better measure the results.
    name: Goal
  - description: This is an object representing an image
    name: Image
  - description: >-
      This is an object representing a key moment. Please note that `KeyMoment`
      has now been renamed to `Triggers`.
    name: KeyMoment
  - description: >-
      KeyPage allows you to target visitors that have visited a particular page,
      or multiple pages on your website.
    name: KeyPage
  - description: >
      Web personalization tailors the experience for each visitor to improve
      your conversion rate.

      The personalization object contains all vital information about a
      personalization as well as segments and variations used in it.
    name: Personalization
  - description: This is an object representing a projectThemeConfig
    name: ProjectThemeConfig
  - description: This is an object representing recommender block
    name: RecommenderBlock
  - description: >
      Referrer is an advanced tool that allows you to target visitors according
      to acquisition methods that lead them to your website.

      Kameleoon automatically creates 5 default channels: `Bing`, `Baidu`,
      `Google`, `Yahoo` and `Google Adwords`.
    name: Referrer
  - description: >-
      Segmenting allows you to effectively target visitors.You can create,
      modify, and duplicate segments using the Segment Builder tool in
      Kameleoon’s backend or through our Automation API.
    name: Segment
  - description: This is an object representing studio recommender block
    name: StudioRecommenderBlock
  - description: This is an object representing tag
    name: Tag
  - description: >-
      Represents an object aggregating the main information about an experiment
      result.
    name: Takeaway
  - description: This is an object representing a takeaway comment.
    name: TakeawayComment
  - description: >-
      TargetingRule is a system entity that combines segments (user groups) and
      triggers (activation conditions) to define precise targeting rules for
      experiments.
    name: TargetingRule
  - description: This is an object representing a theme
    name: Theme
  - description: >-
      A variation is a modified version of your webpage that can be edited for
      experiments or personalization.

      When you add a new variation, Kameleoon creates a copy of the original
      page from which you started.All changes will be saved in the variation,
      which will include all your edits when the test starts.
    name: Variation
  - description: This is an object representing a widget
    name: Widget
  - description: This is an object representing a widget studio
    name: WidgetStudio
  - description: This is an object representing widget studio template
    name: WidgetStudioTemplate
  - name: Audience
    description: >-
      Audience refers to statistical information regarding the number of visits,
      conversions, and other metrics related to a specific segment. Gaining
      insights into your website's audience is essential for effectively
      adjusting segments.
  - name: Data
    description: >
      Web personalization involves offering visitors a tailored experience to
      optimize your conversion rate.

      Personalization object contains information about a personalization, as
      well as the segments and variations used in it.
  - name: Raw Export
    description: >-
      Start a raw data exportation for experiment or personalization, which will
      be sent to the given emails.
  - name: GoalCampaign
    description: >-
      Retrieve experiments that use a specific goal, optionally filtered by
      whether that goal had a positive, negative, or neutral impact on the
      experiment. Results are paginated using cursor-based pagination.
  - name: Data API Requests
    description: Traffic statistics for requests sent to the Kameleoon Data API.
paths:
  /accounts:
    get:
      tags:
        - Account
      summary: Get all accounts
      description: >-
        Get a list of all accounts. For more information on `paramsIO` refer to
        the [Get started
        article](../../developer-docs/apis/automation-api-rest/get-started/get-started).
        For practical use cases of `paramsIO`, see the [Using paramsIO
        tutorial](../../developer-docs/apis/automation-api-rest/tutorials/paramsio-use-cases).
      operationId: get-all-accounts
      parameters:
        - in: query
          name: paramsIO
          required: true
          schema:
            $ref: '#/components/schemas/RequestParams'
      responses:
        '200':
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Account'
          description: OK
        '400':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseObject'
          description: Bad Request
        '403':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseObject'
          description: Forbidden
        '423':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseObject'
          description: Locked
        '500':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseObject'
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    RequestParams:
      type: object
      properties:
        filter:
          oneOf:
            - $ref: '#/components/schemas/FilteringCondition'
            - $ref: '#/components/schemas/FilteringLogic'
        page:
          type: integer
          description: Page number
          format: int32
        perPage:
          type: integer
          description: Number of items per page
          format: int32
        sort:
          type: array
          description: Sorting parameters
          items:
            $ref: '#/components/schemas/SortingParameter'
      title: Request params
    Account:
      type: object
      properties:
        amClientId:
          type: string
          description: Client ID in AM
        amClientSecret:
          type: string
          description: Client Secret in AM
        dateCreated:
          type: string
          description: Date when the account was created
          format: date-time
        email:
          type: string
          description: Email associated with the given account
        firstName:
          type: string
          description: First name of the user of the given account
        id:
          type: integer
          description: Unique identifier of the given account
          format: int64
        imageURL:
          type: string
          description: Image URL of the user
        isPasswordExpired:
          type: boolean
          description: Password regeneration required
        isProductRecoAllowed:
          type: boolean
          description: Product recommendation allowed
        lastName:
          type: string
          description: Last name of the user of the given account
        password:
          type: string
          description: Password
          writeOnly: true
        passwordBlocked:
          type: boolean
          description: >-
            Checks if the user is blocked due to exceeding maximum password
            attempts
        passwordConfirm:
          type: string
          description: Password confirmation
          writeOnly: true
        preferredLocale:
          type: string
          description: Used locale of the given account
          enum:
            - fr
            - en
            - de
        roles:
          uniqueItems: true
          type: array
          description: User roles
          items:
            $ref: '#/components/schemas/Role'
        solutions:
          uniqueItems: true
          type: array
          description: Solutions enabled for the user
          items:
            type: string
            enum:
              - WEB_EXPERIMENTATION
              - FEATURE_EXPERIMENTATION
        status:
          type: string
          enum:
            - CREATED
            - ACTIVATED
            - DEACTIVATED
        teamId:
          type: integer
          description: ID of the team to which the user belongs
          format: int64
      title: Account
    ResponseObject:
      type: object
      properties:
        code:
          type: string
        impersonator:
          type: string
        message:
          type: string
        name:
          type: string
        status:
          type: string
          enum:
            - SUCCESS
            - ERROR
        sub:
          type: string
        time:
          type: integer
          format: int64
        timestamp:
          type: string
          format: date-time
      title: Response object
    FilteringCondition:
      type: object
      allOf:
        - $ref: '#/components/schemas/FilteringExpression'
        - type: object
          properties:
            field:
              type: string
            operator:
              type: string
              enum:
                - EQUAL
                - NOT_EQUAL
                - LESS
                - GREATER
                - LESS_OR_EQUAL
                - GREATER_OR_EQUAL
                - LIKE
                - NOT_LIKE
                - BETWEEN
                - IN
                - NOT_IN
                - NOT
                - IS_NULL
                - IS_NOT_NULL
                - IS_TRUE
                - IS_FALSE
                - IS_EMPTY
                - IS_NOT_EMPTY
                - CONTAINS
            parameters:
              type: array
              items:
                type: object
      title: Filtering condition
    FilteringLogic:
      type: object
      allOf:
        - $ref: '#/components/schemas/FilteringExpression'
        - type: object
          properties:
            conditionalOperator:
              type: string
              enum:
                - AND
                - OR
            expressions:
              uniqueItems: true
              type: array
              items:
                oneOf:
                  - $ref: '#/components/schemas/FilteringCondition'
                  - $ref: '#/components/schemas/FilteringLogic'
      title: Filtering logic
    SortingParameter:
      type: object
      properties:
        direction:
          type: string
          description: Sorting direction
          enum:
            - ASC
            - DESC
        field:
          type: string
          description: Sorting field name
      description: Sorting parameters
      title: Sorting parameter
    Role:
      type: object
      properties:
        customers:
          uniqueItems: true
          type: array
          items:
            type: integer
            format: int64
        name:
          type: string
          enum:
            - ROLE_CUSTOMER_ADMIN
            - ROLE_SITE_ADMIN
            - ROLE_SITE_PRODUCTION
            - ROLE_SITE_TECHNICAL
            - ROLE_SITE_MARKETING
            - ROLE_SITE_DEMO
            - ROLE_SITE_ABTESTS_RESTRICTED
            - ROLE_SITE_AUTO_PROMO_PERSO_ONLY
        privileges:
          uniqueItems: true
          type: array
          items:
            type: string
            enum:
              - GETONE_CUSTOM_DATA
              - CREATE_CUSTOM_DATA
              - UPDATE_CUSTOM_DATA
              - REMOVE_CUSTOM_DATA
              - GETONE_KEYPAGE
              - CREATE_KEYPAGE
              - UPDATE_KEYPAGE
              - REMOVE_KEYPAGE
              - GETONE_REFERRER
              - CREATE_REFERRER
              - UPDATE_REFERRER
              - REMOVE_REFERRER
              - GETONE_EXPERIMENT
              - CREATE_EXPERIMENT
              - DUPLICATE_EXPERIMENT
              - UPDATE_EXPERIMENT
              - REMOVE_EXPERIMENT
              - GETONE_FEATUREFLAG
              - CREATE_FEATUREFLAG
              - DUPLICATE_FEATUREFLAG
              - UPDATE_FEATUREFLAG
              - REMOVE_FEATUREFLAG
              - GETONE_GOAL
              - CREATE_GOAL
              - UPDATE_GOAL
              - REMOVE_GOAL
              - GETALL_INTEGRATION
              - UPDATE_INTEGRATION
              - GETONE_PERSONALIZATION
              - CREATE_PERSONALIZATION
              - DUPLICATE_PERSONALIZATION
              - UPDATE_PERSONALIZATION
              - REMOVE_PERSONALIZATION
              - GETONE_SEGMENT
              - CREATE_SEGMENT
              - UPDATE_SEGMENT
              - REMOVE_SEGMENT
              - GETONE_TARGETINGCONDITION
              - GETONE_SITE
              - CREATE_SITE
              - UPDATE_SITE
              - REMOVE_SITE
              - GETONE_VARIATION
              - CREATE_VARIATION
              - DUPLICATE_VARIATION
              - UPDATE_VARIATION
              - REMOVE_VARIATION
              - PREVISUALIZE_VARIATION
              - GETONE_WIDGET
              - CREATE_WIDGET
              - UPDATE_WIDGET
              - REMOVE_WIDGET
              - GETONE_THEME
              - CREATE_THEME
              - UPDATE_THEME
              - REMOVE_THEME
              - DUPLICATE_THEME
        sites:
          uniqueItems: true
          type: array
          items:
            type: integer
            format: int64
      description: User roles
      title: Role
    FilteringExpression:
      type: object
      description: Filtering expression
      title: Filtering expression
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````